Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Static Protected Member Functions
Lucene::TermsHashPerThread Class Reference

`#include <TermsHashPerThread.h>`

Inheritance diagram for Lucene::TermsHashPerThread:

## Public Member Functions

| TermsHashPerThread (DocInverterPerThreadPtr docInverterPerThread, TermsHashPtr termsHash, TermsHashPtr nextTermsHash, TermsHashPerThreadPtr primaryPerThread)
virtual | ~TermsHashPerThread ()
virtual String | getClassName ()
boost::shared_ptr < TermsHashPerThread > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual InvertedDocConsumerPerFieldPtr | addField (DocInverterPerFieldPtr docInverterPerField, FieldInfoPtr fieldInfo)
virtual void | abort ()
void | morePostings ()
| perField calls this when it needs more postings More...
virtual void | startDocument ()
virtual DocWriterPtr | finishDocument ()
void | reset (bool recyclePostings)
| Clear all state. More...
Public Member Functions inherited from Lucene::InvertedDocConsumerPerThread
virtual | ~InvertedDocConsumerPerThread ()
boost::shared_ptr < InvertedDocConsumerPerThread > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::InvertedDocConsumerPerThread
static String | _getClassName ()

## Data Fields

DocInverterPerThreadWeakPtr | _docInverterPerThread
TermsHashWeakPtr | _termsHash
TermsHashPtr | nextTermsHash
TermsHashPerThreadWeakPtr | _primaryPerThread
TermsHashConsumerPerThreadPtr | consumer
TermsHashPerThreadPtr | nextPerThread
CharBlockPoolPtr | charPool
IntBlockPoolPtr | intPool
ByteBlockPoolPtr | bytePool
bool | primary
DocStatePtr | docState
Collection< RawPostingListPtr > | freePostings
int32_t | freePostingsCount

## Static Protected Member Functions

static bool | noNullPostings (Collection< RawPostingListPtr > postings, int32_t count, const String &details)

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::TermsHashPerThread::TermsHashPerThread | ( | DocInverterPerThreadPtr | docInverterPerThread,
|  | TermsHashPtr | termsHash,
|  | TermsHashPtr | nextTermsHash,
|  | TermsHashPerThreadPtr | primaryPerThread
| ) |  |

virtual Lucene::TermsHashPerThread::~TermsHashPerThread | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermsHashPerThread::_getClassName | ( | ) |  |

inline static

virtual void Lucene::TermsHashPerThread::abort | ( | ) |  |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

virtual InvertedDocConsumerPerFieldPtr Lucene::TermsHashPerThread::addField | ( | DocInverterPerFieldPtr | docInverterPerField,
|  | FieldInfoPtr | fieldInfo
| ) |  |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

virtual DocWriterPtr Lucene::TermsHashPerThread::finishDocument | ( | ) |  |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

virtual String Lucene::TermsHashPerThread::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::InvertedDocConsumerPerThread.

virtual void Lucene::TermsHashPerThread::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

void Lucene::TermsHashPerThread::morePostings | ( | ) |  |

perField calls this when it needs more postings

static bool Lucene::TermsHashPerThread::noNullPostings | ( | Collection< RawPostingListPtr > | postings,
|  | int32_t | count,
|  | const String & | details
| ) |  |

static protected

void Lucene::TermsHashPerThread::reset | ( | bool | recyclePostings) |  |

Clear all state.

boost::shared_ptr< TermsHashPerThread > Lucene::TermsHashPerThread::shared_from_this | ( | ) |  |

inline

virtual void Lucene::TermsHashPerThread::startDocument | ( | ) |  |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

## Field Documentation

DocInverterPerThreadWeakPtr Lucene::TermsHashPerThread::_docInverterPerThread

TermsHashPerThreadWeakPtr Lucene::TermsHashPerThread::_primaryPerThread

TermsHashWeakPtr Lucene::TermsHashPerThread::_termsHash

ByteBlockPoolPtr Lucene::TermsHashPerThread::bytePool

CharBlockPoolPtr Lucene::TermsHashPerThread::charPool

TermsHashConsumerPerThreadPtr Lucene::TermsHashPerThread::consumer

DocStatePtr Lucene::TermsHashPerThread::docState

Collection<RawPostingListPtr> Lucene::TermsHashPerThread::freePostings

int32_t Lucene::TermsHashPerThread::freePostingsCount

IntBlockPoolPtr Lucene::TermsHashPerThread::intPool

TermsHashPerThreadPtr Lucene::TermsHashPerThread::nextPerThread

TermsHashPtr Lucene::TermsHashPerThread::nextTermsHash

bool Lucene::TermsHashPerThread::primary

The documentation for this class was generated from the following file:

- TermsHashPerThread.h

clucene.sourceforge.net